Name:		qca-tls
Version:	1.0
Release:	0.fdr.2.1
Summary:	Qt Cryptographic Architecture, TLS plugin
Epoch:      0
License:	LGPL
Group:		Applications/Internet
URL:		http://delta.affinix.com/qca/
Source0:	http://delta.affinix.com/qca/qca-tls-1.0.tar.bz2
Patch0:     qca-tls-1.0-mach.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	qt-devel >= 1:3.1.1, XFree86-devel
BuildRequires:	openssl-devel


%description
This is a plugin to provide SSL/TLS capability to programs that use
the Qt Cryptographic Architecture (QCA).
QCA is a library providing an easy API for several cryptographic
algorithmns to Qt programs. 
This package only contains the TLS plugin.

%prep
%setup -q 
%patch0 -p0 -b .mach


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

./configure \
    --qtdir=$QTDIR
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT$QTDIR/plugins/crypto
make install


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,0755)
%doc README COPYING
%attr(755,root,root) %{_libdir}/qt-*/plugins/crypto


%changelog
* Thu Jun 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- License is LGPL
- BR: XFree86-devel
- own the crypto dir (see bug 1738)

* Fri Jun 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- Initial RPM, split from psi
